Package org.apache.wiki.plugin

# Class Note

java.lang.Object
org.apache.wiki.plugin.Note

All Implemented Interfaces:
  `org.apache.wiki.api.plugin.Plugin`

public class Note extends Object implements org.apache.wiki.api.plugin.Plugin
Outputs an image with the supplied text as the `title` which is shown as a tooltip by most browsers. This is intended for short one line comments.

See http://www.456bereastreet.com/archive/200412/the_alt_and_title_attributes/ for discussion on alt and title attributes.

Adaption of the CommentPlugin written by Scott Hulbert, cleaned up and generalized, but basically his concept.

Parameters :

- _cmdline - the commentText

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_NOTE_IMAGE`
The default name for the note.
`static final String`
`PROP_NOTE_IMAGE`
Property name for setting the image for the note.

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`Note()`

## Method Summary

Modifier and Type
Method
Description
`String`
`execute(org.apache.wiki.api.core.Context context, Map<String,String> params)`
`String`
`getSnipExample()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.wiki.api.plugin.Plugin

`getDisplayName`

## Field Details

### PROP_NOTE_IMAGE

public static final String PROP_NOTE_IMAGE
Property name for setting the image for the note. Value is `"notePlugin.imageName"`.

See Also:
  - Constant Field Values

### DEFAULT_NOTE_IMAGE

public static final String DEFAULT_NOTE_IMAGE
The default name for the note. Value is `"note.png"`.

See Also:
  - Constant Field Values

## Constructor Details

### Note

public Note()

## Method Details

### getSnipExample

public String getSnipExample()

Specified by:
  `getSnipExample` in interface `org.apache.wiki.api.plugin.Plugin`

### execute

public String execute(org.apache.wiki.api.core.Context context, Map<String,String> params) throws org.apache.wiki.api.exceptions.PluginException

Specified by:
  `execute` in interface `org.apache.wiki.api.plugin.Plugin`
Throws:
  `org.apache.wiki.api.exceptions.PluginException`